Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface ITypedRegion

All Superinterfaces:
  IRegion

All Known Implementing Classes:
  DirtyRegion, TypedRegion

    public interface ITypedRegion

extends IRegion

Describes a region of an indexed text store such as a document or a string. The region consists of offset, length, and type. The region type is defined as a string.

A typed region can, e.g., be used to described document partitions.

Clients may implement this interface or use the standard implementation `TypedRegion`.

Method Summary
`String` `getType()` Returns the content type of the region.

Methods inherited from interface org.eclipse.jface.text.IRegion
`getLength, getOffset`

Method Detail

### getType

    String getType()

  Returns the content type of the region.

  Returns:
    the content type of the region

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.